// f_filter.cpp : Defines the initialization routines for the DLL.
//

#include "stdafx.h"
#include "f_filter.h"

/////////////////////////////////////////////////////////////////////////////
// F_FILTER EXAMPLE FOR WINFBB32
// 27/01/00 - EB5AGF
/////////////////////////////////////////////////////////////////////////////
//
// Parameters :
// int ac : 
//     number of parameters given in argv
// char **argv : 
//     Table of pointers to strings.
//     Last pointer is NULL
// char *r_buf :
//     Buffer to place the text returned to the user
// int len :
//     Buffer length. Don't use more!
//
//The line arguments given to the C_FILTER program are :
//
// av[0]: Name of the filter
// av[1]: Callsign
// av[2]: Level (9:FbbDos / 17:Yapp)
// av[3]: Record number of the user in INF.SYS.
// av[4]: Path and name of the file with additional information
//
// Return value. It indicates to the server what to do with the
//               incomming file.
//
// 0 : File is recorded
// 1 : Nothing is done by the server
//
/////////////////////////////////////////////////////////////////////////////

int WINAPI svc_main (int ac, char FAR ** av, char FAR * r_buf, int len)
{
	FILE *fptr;

	fptr=fopen("f_filter.txt","wt");
	if(fptr==NULL)	
		return(-1);
 
	fprintf(fptr,"F_FILTER arguments\n\n");

	for(int i=0;i<ac;i++)
		fprintf(fptr,"av[%d]: %s\n",i,av[i]);

	fclose(fptr);
	return(0);
}


